$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-abc715bc5cd68f98a2a4b5062439081f607541a2/rpcs3-v0.0.12-10831-abc715bc_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'f384ce4bec7076ca4eeb13307b8005f10c43a86afabd05e2d0478f47cb90eb6b'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
